Page MenuHomePhabricator

Give access to Wikistats 2 to l10n-bot
Closed, ResolvedPublic

Description

Please check and grant the following access rights to the analytics/wikistats2 repo:

  • l10n-bot group: CR+2
  • l10n-bot-watcher group: V+2, Submit, Abandon, Remove reviewer

Event Timeline

fdans created this task.Feb 21 2020, 7:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2020, 7:04 AM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptFeb 21 2020, 10:42 AM

Change 573970 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[analytics/wikistats2@refs/meta/config] Allow L10n-Bot to commit translation updates

https://gerrit.wikimedia.org/r/573970

Change 573971 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] zuul: Allow l10n on analytics/wikistats2

https://gerrit.wikimedia.org/r/573971

MarcoAurelio changed the task status from Open to Stalled.Feb 21 2020, 10:58 AM

We'll need to add wikistats2 to translatewiki.net first otherwise the above patches won't do anything.

MarcoAurelio triaged this task as Low priority.Feb 21 2020, 11:02 AM

Change 573971 merged by jenkins-bot:
[integration/config@master] zuul: Allow l10n on analytics/wikistats2

https://gerrit.wikimedia.org/r/573971

Mentioned in SAL (#wikimedia-releng) [2020-02-21T23:27:16Z] <James_F> Zuul: Allow l10n on analytics/wikistats2 for T245805

Milimetric moved this task from Incoming to Radar on the Analytics board.Feb 24 2020, 4:52 PM
Milimetric added a subscriber: Milimetric.

Is this done or are there additional steps?

MarcoAurelio added a comment.EditedFeb 24 2020, 8:05 PM

Is this done or are there additional steps?

Hello @Milimetric https://gerrit.wikimedia.org/r/#/c/573970 needs to be merged/submitted; but only Analytics people can submit to the repo. Thanks.

Change 573970 merged by Fdans:
[analytics/wikistats2@refs/meta/config] Allow L10n-Bot to commit translation updates

https://gerrit.wikimedia.org/r/573970

abi_ added a subscriber: abi_.Mar 3 2020, 7:30 AM

@MarcoAurelio - Currently patches submitted by the l10n-bot (https://gerrit.wikimedia.org/r/c/analytics/wikistats2/+/576042) still require a manual CR+2 by someone from the analytics team, is this the intended behavior? If so we can close this task.

fdans added a comment.Mar 3 2020, 7:41 AM

@abi_ thank you for all the help with this. I'm not sure how it works in other projects, but manually merging every patch seems prone to problems. Is it possible for the patches to be self-merged by i10n-bot?

abi_ added a comment.Mar 3 2020, 8:04 AM

If so we can close this task.

To clarify, I meant T240621: Add stats.wikimedia.org to translatewiki.net

@abi_ thank you for all the help with this. I'm not sure how it works in other projects, but manually merging every patch seems prone to problems. Is it possible for the patches to be self-merged by i10n-bot?

No that should not be the case, not sure what the problem is here. Wondering if we should reopen this task.

@MarcoAurelio - Currently patches submitted by the l10n-bot (https://gerrit.wikimedia.org/r/c/analytics/wikistats2/+/576042) still require a manual CR+2 by someone from the analytics team, is this the intended behavior? If so we can close this task.

@abi_ No, that is not intended and I'm not sure why some repos are failing. As you can see at https://gerrit.wikimedia.org/r/#/admin/projects/analytics/wikistats2,access the repo accesses are right, and the repo inherits further permissions from https://gerrit.wikimedia.org/r/#/admin/projects/analytics,access which do not conflict with the specific repo config. The extension is currently rightly configured at CI as well as seen in https://gerrit.wikimedia.org/r/plugins/gitiles/integration/config/+/4c2ee753548898a90c06a1501ab5eb8efe03c83e/zuul/layout.yaml#7465. I think the issue here is that repoconfig.yaml is not set to auto-merge https://gerrit.wikimedia.org/r/plugins/gitiles/translatewiki/+/master/repoconfig.yaml#818 - we could try to change that there and see if future exports do fail as well. See also T245141.

Change 576386 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[translatewiki@master] wikistats2: Enable auto-merge

https://gerrit.wikimedia.org/r/576386

MarcoAurelio reopened this task as Open.Mar 3 2020, 4:44 PM

Reopening due to new patch for review.

Change 576386 merged by jenkins-bot:
[translatewiki@master] repoconfig: Enable auto-merge for wikistats2

https://gerrit.wikimedia.org/r/576386

abi_ added a comment.Mar 4 2020, 2:31 AM

Thanks @MarcoAurelio, that seems like the likely cause. I've deployed the patch, exports will be run tomorrow. Will update the task at that time.

Thank you so much yall!

fdans added a comment.Mar 6 2020, 11:04 AM

This is great, thank you @MarcoAurelio !!

Aklapper edited projects, added Analytics-Radar; removed Analytics.Jun 10 2020, 6:44 AM